<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WebSocket Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classWebSocket-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">WebSocket Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a30c8399db86bb20fdc8facd5d68c79de"><td class="memItemLeft" align="right" valign="top"><a id="a30c8399db86bb20fdc8facd5d68c79de"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#a30c8399db86bb20fdc8facd5d68c79de">WebSocket</a> (<a class="el" href="classSocket.html">Socket</a> socket)</td></tr>
<tr class="memdesc:a30c8399db86bb20fdc8facd5d68c79de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a <a class="el" href="classWebSocket.html">WebSocket</a> instance. <br /></td></tr>
<tr class="separator:a30c8399db86bb20fdc8facd5d68c79de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48afbe9b82fde4479913a1b931444729"><td class="memItemLeft" align="right" valign="top"><a id="a48afbe9b82fde4479913a1b931444729"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#a48afbe9b82fde4479913a1b931444729">~WebSocket</a> ()</td></tr>
<tr class="memdesc:a48afbe9b82fde4479913a1b931444729"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a48afbe9b82fde4479913a1b931444729"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57b53de6aeafeb1f57eed90a3357aaa8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#a57b53de6aeafeb1f57eed90a3357aaa8">close</a> (uint16_t status=CLOSE_NORMAL_CLOSURE, std::string message=&quot;&quot;)</td></tr>
<tr class="memdesc:a57b53de6aeafeb1f57eed90a3357aaa8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close the Web socket.  <a href="#a57b53de6aeafeb1f57eed90a3357aaa8">More...</a><br /></td></tr>
<tr class="separator:a57b53de6aeafeb1f57eed90a3357aaa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93cd22aa94f9c0ef2a49e78a822aaa88"><td class="memItemLeft" align="right" valign="top"><a id="a93cd22aa94f9c0ef2a49e78a822aaa88"></a>
<a class="el" href="classWebSocketHandler.html">WebSocketHandler</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#a93cd22aa94f9c0ef2a49e78a822aaa88">getHandler</a> ()</td></tr>
<tr class="memdesc:a93cd22aa94f9c0ef2a49e78a822aaa88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current <a class="el" href="classWebSocketHandler.html">WebSocketHandler</a> A web socket handler is a user registered class instance that is called when an incoming event received over the network needs to be handled by user code. <br /></td></tr>
<tr class="separator:a93cd22aa94f9c0ef2a49e78a822aaa88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1c6f5102716a4200d930ec0e63546e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSocket.html">Socket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#aab1c6f5102716a4200d930ec0e63546e">getSocket</a> ()</td></tr>
<tr class="memdesc:aab1c6f5102716a4200d930ec0e63546e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the underlying socket for the websocket.  <a href="#aab1c6f5102716a4200d930ec0e63546e">More...</a><br /></td></tr>
<tr class="separator:aab1c6f5102716a4200d930ec0e63546e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9632cea9451d149a1dda489a3d0975cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#a9632cea9451d149a1dda489a3d0975cf">send</a> (std::string data, uint8_t sendType=SEND_TYPE_BINARY)</td></tr>
<tr class="memdesc:a9632cea9451d149a1dda489a3d0975cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data down the web socket See the <a class="el" href="classWebSocket.html">WebSocket</a> spec (RFC6455) section "6.1 Sending Data". We build a <a class="el" href="classWebSocket.html">WebSocket</a> frame, send the frame followed by the data.  <a href="#a9632cea9451d149a1dda489a3d0975cf">More...</a><br /></td></tr>
<tr class="separator:a9632cea9451d149a1dda489a3d0975cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cb4296ffa57b80cbec6694c4611bdea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#a8cb4296ffa57b80cbec6694c4611bdea">send</a> (uint8_t *data, uint16_t length, uint8_t sendType=SEND_TYPE_BINARY)</td></tr>
<tr class="memdesc:a8cb4296ffa57b80cbec6694c4611bdea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data down the web socket See the <a class="el" href="classWebSocket.html">WebSocket</a> spec (RFC6455) section "6.1 Sending Data". We build a <a class="el" href="classWebSocket.html">WebSocket</a> frame, send the frame followed by the data.  <a href="#a8cb4296ffa57b80cbec6694c4611bdea">More...</a><br /></td></tr>
<tr class="separator:a8cb4296ffa57b80cbec6694c4611bdea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad812ebe8eb8405006c0ed8c8e567239"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocket.html#aad812ebe8eb8405006c0ed8c8e567239">setHandler</a> (<a class="el" href="classWebSocketHandler.html">WebSocketHandler</a> *handler)</td></tr>
<tr class="memdesc:aad812ebe8eb8405006c0ed8c8e567239"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Web socket handler associated with this Websocket.  <a href="#aad812ebe8eb8405006c0ed8c8e567239">More...</a><br /></td></tr>
<tr class="separator:aad812ebe8eb8405006c0ed8c8e567239"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ae350fbd17ed25e2695fa69bcb06b0f9d"><td class="memItemLeft" align="right" valign="top"><a id="ae350fbd17ed25e2695fa69bcb06b0f9d"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_NORMAL_CLOSURE</b> = 1000</td></tr>
<tr class="separator:ae350fbd17ed25e2695fa69bcb06b0f9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ec7c34936dce34aa20832c5a42f88e6"><td class="memItemLeft" align="right" valign="top"><a id="a1ec7c34936dce34aa20832c5a42f88e6"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_GOING_AWAY</b> = 1001</td></tr>
<tr class="separator:a1ec7c34936dce34aa20832c5a42f88e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab015ad40c8b842e0a91554be7faf7cf4"><td class="memItemLeft" align="right" valign="top"><a id="ab015ad40c8b842e0a91554be7faf7cf4"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_PROTOCOL_ERROR</b> = 1002</td></tr>
<tr class="separator:ab015ad40c8b842e0a91554be7faf7cf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a055115ead6d1aa449d728eff4eb17c24"><td class="memItemLeft" align="right" valign="top"><a id="a055115ead6d1aa449d728eff4eb17c24"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_CANNOT_ACCEPT</b> = 1003</td></tr>
<tr class="separator:a055115ead6d1aa449d728eff4eb17c24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0b25d7a8c4a28e594218448b49bf0bd"><td class="memItemLeft" align="right" valign="top"><a id="ad0b25d7a8c4a28e594218448b49bf0bd"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_NO_STATUS_CODE</b> = 1005</td></tr>
<tr class="separator:ad0b25d7a8c4a28e594218448b49bf0bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc143f57c3af9d9e61a018ebc8f94bee"><td class="memItemLeft" align="right" valign="top"><a id="adc143f57c3af9d9e61a018ebc8f94bee"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_CLOSED_ABNORMALLY</b> = 1006</td></tr>
<tr class="separator:adc143f57c3af9d9e61a018ebc8f94bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c18fd831b95781e1cffafd4b2ea32d"><td class="memItemLeft" align="right" valign="top"><a id="ae8c18fd831b95781e1cffafd4b2ea32d"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_NOT_CONSISTENT</b> = 1007</td></tr>
<tr class="separator:ae8c18fd831b95781e1cffafd4b2ea32d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e98321969f0a317651cbcf6c77dc0b4"><td class="memItemLeft" align="right" valign="top"><a id="a5e98321969f0a317651cbcf6c77dc0b4"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_VIOLATED_POLICY</b> = 1008</td></tr>
<tr class="separator:a5e98321969f0a317651cbcf6c77dc0b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55a45a9c680f6f1151a57666004458c"><td class="memItemLeft" align="right" valign="top"><a id="ae55a45a9c680f6f1151a57666004458c"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_TOO_BIG</b> = 1009</td></tr>
<tr class="separator:ae55a45a9c680f6f1151a57666004458c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8ff2dac88429df2ca2d433a96b289e5"><td class="memItemLeft" align="right" valign="top"><a id="ab8ff2dac88429df2ca2d433a96b289e5"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_NO_EXTENSION</b> = 1010</td></tr>
<tr class="separator:ab8ff2dac88429df2ca2d433a96b289e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d6d831ccd4839cc70cf2dbeac92ccaf"><td class="memItemLeft" align="right" valign="top"><a id="a0d6d831ccd4839cc70cf2dbeac92ccaf"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_UNEXPECTED_CONDITION</b> = 1011</td></tr>
<tr class="separator:a0d6d831ccd4839cc70cf2dbeac92ccaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a2a84283d6499b5b6843e83db2f531d"><td class="memItemLeft" align="right" valign="top"><a id="a9a2a84283d6499b5b6843e83db2f531d"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_SERVICE_RESTART</b> = 1012</td></tr>
<tr class="separator:a9a2a84283d6499b5b6843e83db2f531d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d2b1b41de48c2b48a77aa2d98f8b894"><td class="memItemLeft" align="right" valign="top"><a id="a9d2b1b41de48c2b48a77aa2d98f8b894"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_TRY_AGAIN_LATER</b> = 1013</td></tr>
<tr class="separator:a9d2b1b41de48c2b48a77aa2d98f8b894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f3d32b1901b61664f976af18b569f09"><td class="memItemLeft" align="right" valign="top"><a id="a1f3d32b1901b61664f976af18b569f09"></a>
static const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>CLOSE_TLS_HANDSHAKE_FAILURE</b> = 1015</td></tr>
<tr class="separator:a1f3d32b1901b61664f976af18b569f09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ebca020e7553a49127d2b0f402064cf"><td class="memItemLeft" align="right" valign="top"><a id="a6ebca020e7553a49127d2b0f402064cf"></a>
static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>SEND_TYPE_BINARY</b> = 0x01</td></tr>
<tr class="separator:a6ebca020e7553a49127d2b0f402064cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0c2054d8b9ec168598b9c7f52b125e7"><td class="memItemLeft" align="right" valign="top"><a id="aa0c2054d8b9ec168598b9c7f52b125e7"></a>
static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>SEND_TYPE_TEXT</b> = 0x02</td></tr>
<tr class="separator:aa0c2054d8b9ec168598b9c7f52b125e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:afccf93c4ac44f2347ab84d7e2419a2ca"><td class="memItemLeft" align="right" valign="top"><a id="afccf93c4ac44f2347ab84d7e2419a2ca"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>WebSocketReader</b></td></tr>
<tr class="separator:afccf93c4ac44f2347ab84d7e2419a2ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cc3306861979ff7b3b2c03500780072"><td class="memItemLeft" align="right" valign="top"><a id="a3cc3306861979ff7b3b2c03500780072"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>HttpServerTask</b></td></tr>
<tr class="separator:a3cc3306861979ff7b3b2c03500780072"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a57b53de6aeafeb1f57eed90a3357aaa8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57b53de6aeafeb1f57eed90a3357aaa8">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WebSocket::close </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>status</em> = <code>CLOSE_NORMAL_CLOSURE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>message</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Close the Web socket. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">status</td><td>The code passed in the close request. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">message</td><td>A clarification message on the close request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aab1c6f5102716a4200d930ec0e63546e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab1c6f5102716a4200d930ec0e63546e">&#9670;&nbsp;</a></span>getSocket()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSocket.html">Socket</a> WebSocket::getSocket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the underlying socket for the websocket. </p>
<dl class="section return"><dt>Returns</dt><dd>The socket associated with the Web socket. </dd></dl>

</div>
</div>
<a id="a9632cea9451d149a1dda489a3d0975cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9632cea9451d149a1dda489a3d0975cf">&#9670;&nbsp;</a></span>send() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WebSocket::send </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>sendType</em> = <code>SEND_TYPE_BINARY</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data down the web socket See the <a class="el" href="classWebSocket.html">WebSocket</a> spec (RFC6455) section "6.1 Sending Data". We build a <a class="el" href="classWebSocket.html">WebSocket</a> frame, send the frame followed by the data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>The data to send down the <a class="el" href="classWebSocket.html">WebSocket</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sendType</td><td>The type of payload. Either SEND_TYPE_TEXT or SEND_TYPE_BINARY. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8cb4296ffa57b80cbec6694c4611bdea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cb4296ffa57b80cbec6694c4611bdea">&#9670;&nbsp;</a></span>send() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WebSocket::send </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>sendType</em> = <code>SEND_TYPE_BINARY</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data down the web socket See the <a class="el" href="classWebSocket.html">WebSocket</a> spec (RFC6455) section "6.1 Sending Data". We build a <a class="el" href="classWebSocket.html">WebSocket</a> frame, send the frame followed by the data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>The data to send down the <a class="el" href="classWebSocket.html">WebSocket</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sendType</td><td>The type of payload. Either SEND_TYPE_TEXT or SEND_TYPE_BINARY. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad812ebe8eb8405006c0ed8c8e567239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad812ebe8eb8405006c0ed8c8e567239">&#9670;&nbsp;</a></span>setHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WebSocket::setHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classWebSocketHandler.html">WebSocketHandler</a> *&#160;</td>
          <td class="paramname"><em>pHandler</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Web socket handler associated with this Websocket. </p>
<p>This will be the user supplied code that will be invoked to process incoming <a class="el" href="classWebSocket.html">WebSocket</a> events. An instance of <a class="el" href="classWebSocketHandler.html">WebSocketHandler</a> is passed in. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="WebSocket_8h_source.html">WebSocket.h</a></li>
<li>WebSocket.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
